Arbor 3: FSM & BT Graph Editor 3.6.0

List of all members
SetParameterAction Class Reference

Parameterに値を設定する。 More...

Inheritance diagram for SetParameterAction:

## Additional Inherited Members
Public Member Functions inherited from SetParameterActionInternal
void | SetParameter (Parameter parameter)
| パラメータを設定する。 More...
Public Member Functions inherited from NodeBehaviour
void | RebuildFields ()
| 内部用。 More...
DataSlotField | GetDataSlotField (int index)
| DataSlotFieldを取得する。 More...
DataSlotField | GetCalculatorSlotField (int index)
| DataSlotFieldを取得する。 More...
DataSlotField | GetDataSlotField (DataSlot slot)
| DataSlotFieldを取得する。 More...
DataSlotField | GetCalculatorSlotField (DataSlot slot)
| DataSlotFieldを取得する。 More...
void | RebuildDataSlotFields ()
| DataSlotFieldを再構築する。 More...
void | RebuildCalculatorSlotFields ()
| DataSlotFieldを再構築する。 More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| Editor用。 More...
void | UpdateDataLink ()
| 手動によるDataLinkの値更新。 DataLinkUpdateTiming.ManualのDataLinkフィールドの値を更新する。 More...
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| Editor用。 More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| Editor用。 More...
static void | Destroy (NodeBehaviour behaviour)
| NodeBehaviourを破棄する。 More...
Public Attributes inherited from TreeNodeBehaviour
bool | expanded = true
| ArborEditorWindow上での開閉状態。 More...
Protected Member Functions inherited from SetParameterActionInternal
override void | OnExecute ()
| 実行する際に呼ばれる。 More...
Protected Member Functions inherited from ActionBehaviour
void | FinishExecute (bool result)
| 実行を終了する。 More...
Protected Member Functions inherited from TreeNodeBehaviour
sealed override void | OnInitializeEnabled ()
| enabledの初期化を行うために呼ばれる。 More...
virtual void | OnAwake ()
| この関数は自ノードが初めてアクティブになったときに呼ばれる。 More...
virtual void | OnStart ()
| この関数は自ノードがアクティブになったときに呼ばれる。 More...
virtual void | OnAbort ()
| この関数は自ノードが中止されるときに呼ばれる。 More...
virtual void | OnEnd ()
| この関数は自ノードが終了したときに呼ばれる。 More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnValidate ()
| MonoBehaviour.OnValidate を参照してください More...
virtual void | OnCreated ()
| 生成時に呼ばれるメソッド. More...
virtual void | OnPreDestroy ()
| 破棄前に呼ばれるメソッド。 More...
virtual void | OnGraphPause ()
| この関数はグラフが一時停止したときに呼ばれる。 More...
virtual void | OnGraphResume ()
| この関数はグラフが再開したときに呼ばれる。 More...
virtual void | OnGraphStop ()
| この関数はグラフが停止したときに呼ばれる。 More...
Properties inherited from SetParameterActionInternal
bool | isInGraphParameter`[get]`
| グラフ内パラメータを参照しているかどうか。 More...
Properties inherited from ActionBehaviour
ActionNode | actionNode`[get]`
| ActionNodeを取得。 More...
Properties inherited from TreeNodeBehaviour
BehaviourTreeInternal | behaviourTree`[get]`
| ビヘイビアツリーを取得。 More...
TreeNodeBase | treeNode`[get]`
| TreeNodeBaseを取得。 More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...
Node | node`[get]`
| Nodeを取得。 More...
int | dataSlotFieldCount`[get]`
| DataSlotFieldの個数 More...
int | calculatorSlotFieldCount`[get]`
| DataSlotFieldの個数 More...

## Detailed Description

Parameterに値を設定する。